#import <Cocoa/Cocoa.h>
#import "HTTPConnection.h"

@interface HTTPServer : NSObject {	
	NSNetService* service;
	NSString* serviceName;
	NSString* serviceType;
	NSSocketPort* socket;
	NSFileHandle* file;
	NSMutableArray* clist;
	BOOL isClosed;

	IBOutlet id delegate;
}

- (id) initWithNetServiceType:(NSString*) t name:(NSString*) n port:(NSInteger) port;
- (id) initWithNetServiceType:(NSString*) t name:(NSString*) n;
- (void) listen;
- (void) handleNewConnection:(NSNotification *)notification;
@end



